Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security.acl
Class Realm

    java.lang.Object
      |
      +--weblogic.security.acl.Realm

public class Realm
extends java.lang.Object

The Realm class is used for its name space only. It combines functions to find and create realm implementations. This will be superceded by JNDI.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Realm()`

Method Summary
`static User` | `authenticate(UserInfo userInfo)` Authenticates the user, based on a UserInfo structure.
`static boolean` | `checkPermission(java.security.Principal principal, java.lang.String realmName, java.lang.String aclName, java.lang.String permissionName)` Checks whether a Principal has a named Acl in some realm that grants the named permission.
`static boolean` | `checkPermission(java.security.Principal principal, java.lang.String realmName, java.lang.String aclName, java.lang.String permissionName, char sep)` Checks whether a Principal has a named Acl in some realm that grants the named permission.
`static boolean` | `checkPermission(java.lang.String subsystem, java.security.Principal principal, java.lang.String realmName, java.lang.String aclName, java.lang.String permissionName)`
`static boolean` | `checkPermission(java.lang.String subsystem, java.security.Principal principal, java.lang.String realmName, java.lang.String aclName, java.lang.String permissionName, char sep)`
`static java.lang.String` | `getAuthenticatedName(UserInfo userInfo)` Authenticates the user, based on a UserInfo structure.
`static weblogic.common.internal.LogOutputStream` | `getLog()`
`static BasicRealm` | `getRealm(java.lang.String name)` Gets a realm of that name, possibly creating a default one with no credentials as a side effect.
`static BasicRealm` | `getRealm(java.lang.String name, java.lang.Object credential)` Gets a realm of that name, possibly creating a default one with the passed credential as a side effect.
`static BasicRealm` | `getRealm(java.lang.String name, java.lang.Object credential, java.lang.String className)` Gets a realm of the specified name.
`static BasicRealm` | `getRealm(java.lang.String name, java.lang.Object credential, java.lang.String className, java.util.Properties props)` Gets a realm of the specified name, credential, and implementation class name if it exists, and creates one if it does not, using the specified implementation class name and credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Realm

    public Realm()

Method Detail

### getRealm

    public static BasicRealm getRealm(java.lang.String name)

  Gets a realm of that name, possibly creating a default one with no credentials as a side effect.

  Parameters:
    `name` - Name of realm to retrieve
  Returns:
    Realm

### getRealm

    public static BasicRealm getRealm(java.lang.String name,
                                      java.lang.Object credential)

  Gets a realm of that name, possibly creating a default one with the passed credential as a side effect.

  Parameters:
    `name` - Name of realm to retrieve
    `credential` - Credential of realm
  Returns:
    Realm

### getRealm

    public static BasicRealm getRealm(java.lang.String name,
                                      java.lang.Object credential,
                                      java.lang.String className)

  Gets a realm of the specified name. If a realm by that name doesn't exist, creates a default realm with the passed credential.

  Parameters:
    `name` - Name of realm to retrieve
    `credential` - Credential of realm
    `className` - Name of the implementation
  Returns:
    Realm

### getRealm

    public static BasicRealm getRealm(java.lang.String name,
                                      java.lang.Object credential,
                                      java.lang.String className,
                                      java.util.Properties props)

  Gets a realm of the specified name, credential, and implementation class name if it exists, and creates one if it does not, using the specified implementation class name and credential.

  Parameters:
    `name` - Name of realm
    `credential` - Credential of realm
    `className` - Name of implementation
    `props` - Properties to be passed to the realm
  Returns:
    Realm

### checkPermission

    public static boolean checkPermission(java.security.Principal principal,
                                          java.lang.String realmName,
                                          java.lang.String aclName,
                                          java.lang.String permissionName)

  Checks whether a Principal has a named Acl in some realm that grants the named permission. This is a low performance convenience function.

  Parameters:
    `principal` - Principal (AclOwner)
    `realmName` - Realm to check Principal's permission
    `aclName` - Access control list of Principal
    `permissionName` - Permission to be checked
  Returns:
    true if Principal has permission in the realm

### checkPermission

    public static boolean checkPermission(java.lang.String subsystem,
                                          java.security.Principal principal,
                                          java.lang.String realmName,
                                          java.lang.String aclName,
                                          java.lang.String permissionName)

### checkPermission

    public static boolean checkPermission(java.security.Principal principal,
                                          java.lang.String realmName,
                                          java.lang.String aclName,
                                          java.lang.String permissionName,
                                          char sep)

  Checks whether a Principal has a named Acl in some realm that grants the named permission. This is a low performance convenience function.

  Parameters:
    `principal` - Principal (AclOwner)
    `realmName` - Realm to check Principal's permission
    `aclName` - Access control list of Principal
    `permissionName` - Permission to be checked
    `sep` - Character separator used in ACL
  Returns:
    true if Principal has permission in the realm

### checkPermission

    public static boolean checkPermission(java.lang.String subsystem,
                                          java.security.Principal principal,
                                          java.lang.String realmName,
                                          java.lang.String aclName,
                                          java.lang.String permissionName,
                                          char sep)

### getLog

    public static weblogic.common.internal.LogOutputStream getLog()

### authenticate

    public static User authenticate(UserInfo userInfo)
                             throws java.lang.SecurityException

  Authenticates the user, based on a UserInfo structure.

  Parameters:
    `userInfo` - UserInfo
  Returns:
    User object
  Throws:
    java.lang.SecurityException - if the user cannot be authenticated

### getAuthenticatedName

    public static java.lang.String getAuthenticatedName(UserInfo userInfo)
                                                 throws java.lang.SecurityException

  Authenticates the user, based on a UserInfo structure.

  Parameters:
    `userInfo` - UserInfo
  Returns:
    Name of authenticated user
  Throws:
    java.lang.SecurityException - if the user cannot be authenticated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD